new;
library pde,pgraph;

graphset;
  begwind;
  window(2,2,0);

    fonts("simplex simgrma complex microb");

    _pdate = ""; _pnum = 2; _pframe = 0; 
    _ptitlht = 0.25; _pnumht = 0.20; _paxht = 0.20;
    xtics(-0.1,1.1,0.1,2);
    ytics(-3.5,3.5,0.5,2);
    xlabel("\203t\201");
    ylabel("\203 \201");
    _pypmax = 0;

    let xlab = "" "0.0" "" "0.2" "" "0.4" "" "0.6" "" "0.8" "" "1.0" "";
    let ylab = "" "-3" "" "-2" "" "-1" "" "0" "" "1" "" "2" "" "3" "" ;
    asclabel(xlab,ylab);

    _pde_symsiz = 2;
    _pde_symclr = 12;

  setwind(1);
    title("Uniform grid");
    t = seqa(0,1/10,11);
    x = seqa(-3,6/20,21);
    {_psym,_pline} = plotGrid(t,x,9,1,0);
    draw;

  setwind(2);
    title("Non-uniform grid in x");
    t = seqa(0,1/10,11);
    x = seqa(0.5,0.46/10,11);
    x = cdfni(x);
    x = rev(-3+x ./ maxc(x) * 3);
    x = -x | x;
    {_psym,_pline} = plotGrid(t,x,9,1,0);
    draw;

  setwind(3);
    title("Non-uniform grid in x and t");
    t = seqa(0,0.99/10,11);
    t = cdfchii(t,3*ones(rows(t),1));
    t = t / maxc(t);
    x = seqa(0.02,0.96/20,21);
    x = cdfni(x);
    x = x ./ maxc(x) * 3;
    {_psym,_pline} = plotGrid(t,x,9,1,0);
    draw;

  setwind(4);
    title("Non-symmetric grid in x");
    t = seqa(0,0.99/10,11);
    x = seqa(0.02,0.96/20,21);
    x = cdfchii(x,3*ones(rows(x),1));
    x = x ./ maxc(x) * 6 - 3;
    {_psym,_pline} = plotGrid(t,x,9,1,0);
    draw;

    graphprt("-c=1 -cf=grid1.ps");

  endwind;

  