new;
library gro,pde,pgraph;
PDEset;

let t = 1 2 3 4 5;

let x1 = -5 -4 -3 -2 -1 0 1 2 3 4 5;

let x2 = -4.75 -4 -3.3 -1.7 -0.2 0.5 1.38 2 3;
let e2 = 0 1 0 0 0 0 0 1 1;

let x3 = -5 -4.5 -4 -3 -1.5 0 0.5 0.8 1 2 3 4 5;

let x4 = -4 -3.5 -3.2 -2.3 -0.5 0.5 0.75 1.4 1.8 2.7;

let x5 = -5 -4 -3 -2 -1 0 1 2 3 4 5;

_pde_symsiz = 3.5;

psym =  t[1]*ones(rows(x1),1)~x1~(8~_PDE_symsiz~12~1~0).*ones(rows(x1),1) | 
        t[2]*ones(rows(x2),1)~x2~(9~_PDE_symsiz~12~1~0).*ones(rows(x2),1) | 
        t[3]*ones(rows(x3),1)~x3~(10~_PDE_symsiz~12~1~0).*ones(rows(x3),1) |
        t[4]*ones(rows(x4),1)~x4~(11~_PDE_symsiz~12~1~0).*ones(rows(x4),1) |
        t[5]*ones(rows(x5),1)~x5~(12~_PDE_symsiz~12~1~0).*ones(rows(x5),1) ;

pline = ones(5,1).*(1~3)~t~-7*ones(5,1)~t~7*ones(5,1)~(1~15~3).*ones(5,1);

N = rows(x2);
parrow = ones(N,1).*t[2]~x2~ones(N,1).*t[1]~x2~ones(N,1).*(5~0.1~1~11~1~6~0);
N = rows(x3);
parrow = parrow | ones(N,1).*t[3]~x3~ones(N,1).*t[2]~x3~ones(N,1).*(5~0.1~1~11~1~6~0);
N = rows(x4);
parrow = parrow | ones(N,1).*t[4]~x4~ones(N,1).*t[3]~x4~ones(N,1).*(5~0.1~1~11~1~6~0);
N = rows(x5);
parrow = parrow | ones(N,1).*t[5]~x5~ones(N,1).*t[4]~x5~ones(N,1).*(5~0.1~1~11~1~6~0);


graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(9/3,6.855/3,5.5,4,1);
  makewind(9/3,6.855/3,5.5,1,1);
  makewind(9/3,3+6.855/3,5.5,1,1);

  setwind(1);

  _pdate = ""; _pnum = 2; _pframe = 0; _paxes = {1,0};
  xtics(0,9,1,0);
  ytics(-6,6,2,0);

  fonts("simplex simgrma complex microb");

  let xlab = "\203" "t]m[" "t]m+1[" "t]m+2[" "t]m+3[" "t]m+4[" "";
  asclabel(xlab,0);

  _psym = psym;
  _pline = pline;
  _parrow = parrow;
  
  draw;

  graphset;
  fonts("simplex simgrma complex microb");

  setwind(2);
    _pnum = 2; _pnumht = 0.35; _paxht = 0.35; _plctrl = -1; _pstype = 8; _psymsiz = 5;
    _pframe = 0;
    xtics(-5,5,1,0);
    ytics(-0.25,1.25,0.25,0);
    y1 = cdfn(x1);
    xlabel("\203x]i[[(m)]");
    ylabel("u(t]m[,x]i[[(m)])");
    let xlab = "" "" "" "" "" " " "" "" "" "";
    let ylab = "" "" "" "" "" " " "" "" "" "";
    asclabel(xlab,ylab);
    xy(x1,y1);

  setwind(3);
    _plctrl = 0;
    x = seqa(-5,10/100,101);
    y = fspline(csspline(x1,y1,1,1),x);
    y2 = fspline(csspline(x1,y1,1,1),x2);
    _psym = x2~y2~(9~5~12~1~0).*ones(rows(x2),1);
    ylabel("u(t]m[,x]i[[(m+1)])");
    xlabel("\203x]i[[(m+1)]");
    N = rows(x2);

    xy(x,y);

  setwind(4);

    _psym = 0; ylabel(" "); _paxes = 0;

    pt = 1.5/(6.855/3)*(6.855/3*2+1);
    ytics(0,pt,pt,0);
    let sc1 = 0.25 0.25 0.25 0.25 0.25 0.175 0.15 0.15 0.15;
    let sc2 = 2.5 2.5 2.5 2.5 2.5 2.45 2.45 2.45 2.45;
    _parrow = x2~sc1+y2~x2~y2+sc2~ones(N,1).*(5~0.1~1~11~1~3~0);
    _pmsgstr = "?\000?\000?\000?\000?\000?\000?\000?\000?\000?\000?\000?\000";
    z2 = y2+sc2+0.05;
    x2 = x2 - 0.125;
    data = delif(x2~z2,e2);
    x2 = data[.,1];
    z2 = data[.,2];
    N = rows(z2);
    _pmsgctl = x2~z2~(0.3~0~1~15~2).*ones(N,1);
    draw;

    graphprt("-c=1 -cf=grid3.ps");

  endwind;
 

  